JustGags (justgags) wrote in lj_everywhere,
JustGags
justgags
lj_everywhere

Newest CVS Revision Requiring GD?

Ever since the Captcha module was included, I have not been able to start my server. I assume this is because GD is called to display the picture on the account creation page. (I've not been able to successfully install GD). Are there any "disable" options in LJCONFIG perhaps to disable Captcha support?

[root@Cerebellum conf]# /usr/local/apache/bin/apachectl start
[Tue Dec 16 15:04:11 2003] [error] Can't locate GD.pm in @INC (@INC contains: /home/justgags/cgi-bin /home/justgags/src/s2 /usr/lib/perl5/5.8.0/i386-linux-thread-multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl . /usr/local/apache/ /usr/local/apache/lib/perl) at /home/justgags/cgi-bin/LJ/Captcha.pm line 5.
BEGIN failed--compilation aborted at /home/justgags/cgi-bin/LJ/Captcha.pm line 5.
Compilation failed in require at /home/justgags/cgi-bin/modperl_subs.pl line 18.
BEGIN failed--compilation aborted at /home/justgags/cgi-bin/modperl_subs.pl line 18.
Compilation failed in require at /home/justgags/cgi-bin/modperl.pl line 10.
Compilation failed in require at (eval 2) line 1.

Syntax error on line 1004 of /usr/local/apache/conf/httpd.conf:
Can't locate GD.pm in @INC (@INC contains: /home/justgags/cgi-bin /home/justgags/src/s2 /usr/lib/perl5/5.8.0/i386-linux-thread-multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl . /usr/local/apache/ /usr/local/apache/lib/perl) at /home/justgags/cgi-bin/LJ/Captcha.pm line 5.
BEGIN failed--compilation aborted at /home/justgags/cgi-bin/LJ/Captcha.pm line 5.
Compilation failed in require at /home/justgags/cgi-bin/modperl_subs.pl line 18.
BEGIN failed--compilation aborted at /home/justgags/cgi-bin/modperl_subs.pl line 18.
Compilation failed in require at /home/justgags/cgi-bin/modperl.pl line 10.
Compilation failed in require at (eval 2) line 1.

/usr/local/apache/bin/apachectl start: httpd could not be started
[root@Cerebellum conf]#


EDIT: A temporary(?) fix to the problem is simply to comment out the line referencing the Captcha module in your modperl_subs.pl file. The rest of the installation seems to work fine after this.
Subscribe
  • Post a new comment

    Error

    Comments allowed for members only

    Anonymous comments are disabled in this journal

    default userpic

    Your IP address will be recorded 

  • 7 comments